Class | YAML::Syck::BadAlias
In: | syck/rubyext.c
Parent: | Object

### Methods

<=> new

### Public Class methods

new(p1)

YAML::Syck::BadAlias.initialize

[Source]

    /*
     * YAML::Syck::BadAlias.initialize
     */
    VALUE
    syck_badalias_initialize( self, val )
        VALUE self, val;
    {
        rb_iv_set( self, "@name", val );
        return self;
    }

### Public Instance methods

<=>(p1)

YAML::Syck::BadAlias.<=>

[Source]

    /*
     * YAML::Syck::BadAlias.<=>
     */
    VALUE
    syck_badalias_cmp( alias1, alias2 )
        VALUE alias1, alias2;
    {
        VALUE str1 = rb_ivar_get( alias1, s_name );
        VALUE str2 = rb_ivar_get( alias2, s_name );
        VALUE val = rb_funcall( str1, s_cmp, 1, str2 );
        return val;
    }

[Validate]